type2Exten {xps} | R Documentation

## Convert Method Type to Tree Extension

### Description

Convert Method Type to Tree Extension.

### Usage

    type2Exten(type, datatype)

### Arguments

`type` | method type.
`datatype` | data type.

### Details

For every `datatype` different methods, i.e. algorithms exist which can be applied. Valid `datatype`s are ‘preprocess’ and ‘normation’.

For `datatype` ‘preprocess’ the following methods can be applied:

`mean`: | trimmed mean
`median`: | median
`quantile`: | quantile
`tukeybiweight`: | tukey biweight
`medianpolish`: | median polish

For `datatype` ‘normation’ the following methods can be applied:

`mean`: | trimmed mean
`median`: | median
`quantile`: | quantile
`lowess`: | lowess
`supsmu`: | supsmu

The tree extensions are described in `validTreetype`.

### Value

A `character` with the correct tree extension.

### Author(s)

Christian Stratowa

### See Also

`getDatatype`, `validTreetype`

### Examples

    type2Exten("quantile","preprocess")
    type2Exten("medianpolish","preprocess")
    type2Exten("supsmu","normation")

[Package xps version 1.2.10 Index]